IniFileTask (Ant Contrib)
Keywords: net.sf.antcontrib.inifile.IniFileTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.inifile
Class IniFileTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.inifile.IniFileTask

    public class IniFileTask

extends org.apache.tools.ant.Task

Place class description here.

Since:
Author:
  Matthew Inger,

Nested Class Summary
`class` | `IniFileTask.Exists`
`class` | `IniFileTask.Get`
`static class` | `IniFileTask.IniOperation`
`static class` | `IniFileTask.IniOperationConditional`
`static class` | `IniFileTask.IniOperationPropertySetter`
`static class` | `IniFileTask.Remove`
`class` | `IniFileTask.Set`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IniFileTask()`

Method Summary
`IniFileTask.Exists` | `createExists()`
`IniFileTask.Get` | `createGet()`
`IniFileTask.Remove` | `createRemove()`
`IniFileTask.Set` | `createSet()`
`void` | `execute()`
`void` | `setDest(java.io.File dest)`
`void` | `setSource(java.io.File source)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IniFileTask

    public IniFileTask()

Method Detail

### createSet

    public IniFileTask.Set createSet()

### createRemove

    public IniFileTask.Remove createRemove()

### createExists

    public IniFileTask.Exists createExists()

### createGet

    public IniFileTask.Get createGet()

### setSource

    public void setSource(java.io.File source)

### setDest

    public void setDest(java.io.File dest)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD